package com.jeeww.core.vo;

/**
 * agileUI 下拉列表配置.
 * @author jiangww
 */
public class ComboConfig implements java.io.Serializable {
    /**
     * .
     */
    private static final long serialVersionUID = 1L;
    /**
     * 下拉列表ID字段属性名，用于从数据库中取值.
     */
    private String comboIdProperty;
    /**
     * 下拉列表名称字段属性名，用于从数据库中取值.
     */
    private String comboNameProperty;
    /**
     * 下拉列表额外描述字段属性名，用于从数据库中取值.
     */
    private String comboDescProperty;
    /**
     * 下拉列表ID名称，用于返回标记.
     */
    private String comboIdName = "value";
    /**
     * 下拉列表Text名称，用于返回标记.
     */
    private String comboTextName = "text";
    /**
     * 下拉列表Text名称，用于返回标记.
     */
    private String comboDescName = "desc";
    /**
     * 查询下拉列表的命名查询ID.
     */
    private String comboNamedQueryIdForCombo;

    /**
     * @return the comboIdProperty
     */
    public final String getComboIdProperty() {
        return comboIdProperty;
    }

    /**
     * @param comboIdProperty the comboIdProperty to set
     */
    public final void setComboIdProperty(final String comboIdProperty) {
        this.comboIdProperty = comboIdProperty;
    }

    /**
     * @return the comboNameProperty
     */
    public final String getComboNameProperty() {
        return comboNameProperty;
    }

    /**
     * @param comboNameProperty the comboNameProperty to set
     */
    public final void setComboNameProperty(final String comboNameProperty) {
        this.comboNameProperty = comboNameProperty;
    }

    /**
     * @return the comboNamedQueryIdForCombo
     */
    public String getComboNamedQueryIdForCombo() {
        return comboNamedQueryIdForCombo;
    }

    /**
     * @param comboNamedQueryIdForCombo the comboNamedQueryIdForCombo to set
     */
    public void setComboNamedQueryIdForCombo(final String comboNamedQueryIdForCombo) {
        this.comboNamedQueryIdForCombo = comboNamedQueryIdForCombo;
    }

    /**
     * @return the comboIdName
     */
    public String getComboIdName() {
        return comboIdName;
    }

    /**
     * @param comboIdName the comboIdName to set
     */
    public void setComboIdName(final String comboIdName) {
        this.comboIdName = comboIdName;
    }

    /**
     * @return the comboTextName
     */
    public String getComboTextName() {
        return comboTextName;
    }

    /**
     * @param comboTextName the comboTextName to set
     */
    public void setComboTextName(final String comboTextName) {
        this.comboTextName = comboTextName;
    }

    /**
     * @return the comboDescProperty
     */
    public String getComboDescProperty() {
        return comboDescProperty;
    }

    /**
     * @param comboDescProperty the comboDescProperty to set
     */
    public void setComboDescProperty(final String comboDescProperty) {
        this.comboDescProperty = comboDescProperty;
    }

    /**
     * @return the comboDescName
     */
    public String getComboDescName() {
        return comboDescName;
    }

    /**
     * @param comboDescName the comboDescName to set
     */
    public void setComboDescName(final String comboDescName) {
        this.comboDescName = comboDescName;
    }
}
